﻿using SPS.ServiceCore.API.ServiceModel.Operations;
using SPS.ServiceCore.API.ServiceModel.Types;
using ServiceStack.ServiceInterface;

using System.Collections.Generic;

namespace SPS.ServiceCore.API.ServiceInterface
{
    public class CustomersService : SPSServiceBase<Customers> //RestServiceBase<Customers>
    {
        public override object OnGet(Customers request)
        {
            string z = base.RequestContext.GetHeader("User-Agent");

            #region Create dummy data

            List<Customer> customers = new List<Customer>();

            Customer customer = new Customer()
            {
                ContactName = "Customer 1",
                City = "Lx"
            };

            customers.Add(customer);

            customer.ContactName = "Customer 2";
            customer.City = "Ptm";
            customers.Add(customer);

            #endregion

            //return new CustomersResponse { Customers = DbFactory.Exec(dbCmd => dbCmd.Select<Customer>()) };
            return new CustomersResponse { Customers = customers };
        }
    }
}