﻿using System;
using System.Linq;
using System.Text;

namespace SPS.ServiceCore.API.ServiceInterface
{
	public interface IAuthProvider
	{
		AuthSession CreateSession(string userName, string authKey);

		AuthSession GetValidSession(Guid sessionId);
	}

	public class AuthSession
	{
		public Guid SessionId { get; set; }

		public string UserName { get; set; }

		public string ClientType { get; set; }

		public DateTime ExpiresAt { get; set; }
	}
}
