﻿using SPS.ServiceCore.API.ServiceModel.Operations;
using SPS.ServiceCore.API.ServiceModel.Types;
using ServiceStack.ServiceInterface;

using System.Collections.Generic;

namespace SPS.ServiceCore.API.ServiceInterface
{
    public class PartnersService : RestServiceBase<Partners>
    {        
        public override object OnGet(Partners request)
        {
            #region Create dummy data

            List<Partner> partners = new List<Partner>();

            Partner partner = new Partner()
            {
                ContactName = "partner 1",
                City = "Lx"
            };

            partners.Add(partner);

            partner = new Partner();
            partner.ContactName = "partner 2";
            partner.City = "Ptm";

            partners.Add(partner);

            #endregion

            //return new CustomersResponse { Customers = DbFactory.Exec(dbCmd => dbCmd.Select<Customer>()) };
            return new PartnersResponse { Partners = partners };
        }
    }
}