﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using SPS.ServiceCore.API.ServiceModel.Types;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace SPS.ServiceCore.API.ServiceModel.Operations
{
    [DataContract]
    [RestService("/login")]
    public class Login
    {
		[DataMember]
		public string ApiKey { get; set; }

		[DataMember]
		public string UserName { get; set; }
	}

    [DataContract]
    public class LoginResponse : IHasResponseStatus
    {
		public LoginResponse()
        {
            this.ResponseStatus = new ResponseStatus();
        }

        [DataMember]
        public Guid SessionId { get; set; }

        [DataMember]
        public ResponseStatus ResponseStatus { get; set; }
    }
}