﻿using System;
using System.Runtime.Serialization;
using SPS.ServiceCore.API.ServiceInterface;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace SPS.ServiceCore.API.ServiceModel.Operations
{
    [DataContract]
    [RestService("/protected")]
    public class Protected : IRequiresAuthentication
	{
		[DataMember]
		public Guid SessionId { get; set; }
	}

    [DataContract]
    public class ProtectedResponse : IHasResponseStatus
    {
		public ProtectedResponse()
        {
            this.ResponseStatus = new ResponseStatus();
        }

		[DataMember]
		public string Result { get; set; }

        [DataMember]
        public ResponseStatus ResponseStatus { get; set; }
    }
}