﻿using System;
using System.Runtime.Serialization;
using ServiceStack.ServiceHost;
using ServiceStack.ServiceInterface.ServiceModel;

namespace SPS.ServiceCore.API.ServiceModel.Operations
{
    [DataContract]
    [RestService("/public")]
	public class Public
    {
    }

    [DataContract]
	public class PublicResponse : IHasResponseStatus
    {
		public PublicResponse()
        {
            this.ResponseStatus = new ResponseStatus();
        }

    	[DataMember] 
		public string Result { get; set; }

        [DataMember]
        public ResponseStatus ResponseStatus { get; set; }
    }
}